2024-06-17 14:40 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004532Ishar3[WHDLoad Installs Games] AGApublic2020-04-22 22:16
ReporterUrBi 
Assigned ToCFOUProject InfoIshar 3 (Silmarils)
http://www.whdload.de/games/Ishar3.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionreopened 
Summary0004532: ISHAR 3 AGA & ECS - DOC-CHECK 2 (SECOND CHECK)
DescriptionHi.

Could you upgrade the slave for Ishar 3 (ECS and AGA version)? I am sending a save from the game where I am asked to enter a word from the instructions. This is the second doc-check. Your slave in the current version does not bypass the second doc-check. Oddly enough, when I type the correct word from the password list, your slave doesn't accept it. It is not possible to continue playing because no password works.

Second DOC-CHECK:

https://www54.zippyshare.com/v/HF34BssY/file.html

Regards.

UrBi
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.5
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0008374

CFOU (developer)

have you save game for ECS & AGA before manual protections test?

i will not update withit (to long to test without save game to verify...

note ~0008375

CFOU (developer)

hi
can you done like for Transarctica?

http://mantis.whdload.de/view.php?id=2709

all solution to test if manual protection correctly removed...

note ~0008376

retrogamer (reporter)

Savegames attached for Ishar 3.

note ~0008377

UrBi (reporter)

Hi :)

As far as I know, in Ishar 3 ECS & AGA the question about the word from the instructions for the game occurs only in two places in the game. Check my SAVEGAME which I sent.

note ~0008378

CFOU (developer)

in fact second manual protection used same code,

but password words table used another encrypt key !!!($24 for first & $57 for second)

indeed my patch read decypted good word and copy decrypted in keyboard input buffer...

it's fixed can you try new aga attached slave?

note ~0008380

CFOU (developer)

now ECS fixed too (attached)

note ~0008381

CFOU (developer)

fixed with v1.5

note ~0008384

UrBi (reporter)

So I will try today in the evening.

note ~0008386

CFOU (developer)

thanks for you bug report and very useful save game files ;)

note ~0008407

UrBi (reporter)

I tested and works great :)

Thank you.
+Notes

-Issue History
Date Modified Username Field Change
2020-04-21 15:19 UrBi New Issue
2020-04-21 17:36 CFOU Note Added: 0008374
2020-04-21 17:41 CFOU Assigned To => CFOU
2020-04-21 17:41 CFOU Status new => assigned
2020-04-21 17:47 CFOU Note Added: 0008375
2020-04-21 17:54 retrogamer File Added: SAVEGAME.zip
2020-04-21 17:54 retrogamer Note Added: 0008376
2020-04-21 19:25 UrBi Note Added: 0008377
2020-04-21 22:04 CFOU File Added: Ishar3AGA_V15.lha
2020-04-21 22:04 CFOU Note Added: 0008378
2020-04-21 22:18 CFOU File Added: Ishar3-V15.lha
2020-04-21 22:18 CFOU Note Added: 0008380
2020-04-21 22:19 CFOU Status assigned => closed
2020-04-21 22:19 CFOU Resolution open => fixed
2020-04-21 22:19 CFOU Note Added: 0008381
2020-04-22 04:26 UrBi Status closed => feedback
2020-04-22 04:26 UrBi Resolution fixed => reopened
2020-04-22 04:26 UrBi Note Added: 0008384
2020-04-22 12:29 CFOU Note Added: 0008386
2020-04-22 21:19 UrBi Note Added: 0008407
2020-04-22 21:19 UrBi Status feedback => assigned
2020-04-22 22:16 CFOU Status assigned => closed
+Issue History